petsc-3.4.2 2013-07-02

# TSGetTimeStep

Gets the current timestep size.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetTimeStep(TS ts,PetscReal *dt)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

dt -the current timestep size

### See Also

TSSetInitialTimeStep(), TSGetTimeStep()

### Keywords

TS, get, timestep

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex16.c.html
src/ts/examples/tutorials/ex24.c.html